> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Store a newly created resource in storage



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/sms/routing/blacklist
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/routing/blacklist:
    post:
      tags:
        - SmsRoutingBlacklist
      summary: Store a newly created resource in storage
      operationId: sms.routing.blacklist.store
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                sms_route_id:
                  type:
                    - string
                    - 'null'
                  format: uuid
                company_id:
                  type:
                    - string
                    - 'null'
                  format: uuid
                country_id:
                  type: number
                reason:
                  type: string
                  maxLength: 1000
              required:
                - country_id
                - reason
      responses:
        '201':
          description: '`SmsRoutingBlacklistResource`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/SmsRoutingBlacklistResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    SmsRoutingBlacklistResource:
      type: object
      properties:
        id:
          type: string
        sms_route_id:
          type: string
        company_id:
          type: string
        country_id:
          type: string
        reason:
          type: string
        team_id:
          type: string
        created_by:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        sms_route:
          type: string
        company:
          type: string
        country:
          type: string
        created_by_user:
          type: string
      required:
        - id
        - sms_route_id
        - company_id
        - country_id
        - reason
        - team_id
        - created_by
        - created_at
        - updated_at
      title: SmsRoutingBlacklistResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````